C1DFilterKernel Class Referenceabstract

base class for 1D filter kernels More...

`#include <mia/core/spacial_kernel.hh>`

Inheritance diagram for C1DFilterKernel:
[legend]
Collaboration diagram for C1DFilterKernel:
[legend]

## Public Types

typedef spacial_kernel_data | plugin_data
| define the plugin search path, data part
typedef kernel_plugin_type | plugin_type
| define the plugin search path, type part
Public Types inherited from CPropertyFlagHolder
typedef std::set< const char * > | Set
| define the type of the set of flags

## Public Member Functions

std::vector< double > | apply (const std::vector< double > &data) const
void | apply_inplace (std::vector< double > &data) const
int | get_fsize () const
| returns the filter width definition parameter
size_t | size () const
| returns the width of the kernel
Public Member Functions inherited from CProductBase
const char * | get_init_string () const
void | set_init_string (const char *init)
void | set_module (PPluginModule module)
Public Member Functions inherited from CPropertyFlagHolder
void | add (const char *property)
Set | get_missing_properties (const CPropertyFlagHolder &testset) const
bool | has (const char *property) const
bool | has_all_in (const CPropertyFlagHolder &testset) const
virtual | ~CPropertyFlagHolder ()

## Protected Member Functions

| C1DFilterKernel (unsigned fsize)
virtual | ~C1DFilterKernel ()

## Detailed Description

base class for 1D filter kernels

prototype for a 1D spacial convolution kernel

Todo
  put the convolution into this class, problem: it must work for all data types but should also be virtual

Definition at line 51 of file spacial_kernel.hh.

## Member Typedef Documentation

## plugin_data

typedef spacial_kernel_data C1DFilterKernel::plugin_data

define the plugin search path, data part

Definition at line 63 of file spacial_kernel.hh.

## plugin_type

typedef kernel_plugin_type C1DFilterKernel::plugin_type

define the plugin search path, type part

Definition at line 65 of file spacial_kernel.hh.

## Constructor & Destructor Documentation

## C1DFilterKernel()

C1DFilterKernel::C1DFilterKernel | ( | unsigned | fsize | ) |

protected

constructs the kernel

Parameters

  fsize | width parameter of the kernel

## ~C1DFilterKernel()

virtual C1DFilterKernel::~C1DFilterKernel | ( |  | ) |

protected virtual

## Member Function Documentation

## apply()

std::vector< double > C1DFilterKernel::apply | ( | const std::vector< double > & | data | ) | const

run the filter out-of-place

Parameters

  data | input data

Returns
  the filtered output

## apply_inplace()

void C1DFilterKernel::apply_inplace | ( | std::vector< double > & | data | ) | const

run the filter in-place

Parameters

  data |

## get_fsize()

int C1DFilterKernel::get_fsize | ( |  | ) | const

returns the filter width definition parameter

## size()

size_t C1DFilterKernel::size | ( |  | ) | const

returns the width of the kernel

The documentation for this class was generated from the following file:

- spacial_kernel.hh